Summary:	Ban IPs that make too many password failures
Name:		fail2ban
Version:	0.9.4
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Configuration/Networking
URL:		http://fail2ban.sourceforge.net/
Source0:	http://dl.sourceforge.net/fail2ban/%{name}-%{version}.tar.xz
Source1:	%{name}-initscript
#Patch0:		%{name}-0.8.12-jail-conf.patch
Patch1:		%{name}-0.8.6-log-actions-to-SYSLOG.patch
Requires(pre):	rpm-helper
BuildRequires:	python-devel
Requires:	python		>= 2.7
Requires:	tcp_wrappers	>= 7.6-29
Requires:	iptables	>= 1.3.5
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
Fail2Ban scans log files like /var/log/secure and bans IP that makes
too many password failures. It updates firewall rules to reject the IP
address. These rules can be defined by the user. Fail2Ban can read
multiple log files including sshd or Apache web server logs.

%prep
%setup -q
%apply_patches

%build
%serverbuild
env CFLAGS="%{optflags}" python setup.py build 

pushd man
sh generate-man
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

python setup.py install --root=%{buildroot}

install -d %{buildroot}/%{_mandir}/man1
install man/*.1 %{buildroot}%{_mandir}/man1/
install -D %{SOURCE1} %{buildroot}/%{_initrddir}/%{name}
install -d %{buildroot}/%{_var}/run/%{name}


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%_post_service fail2ban

%preun
%_preun_service fail2ban

%files
%defattr(-,root,root)
%doc ChangeLog TODO
%attr(744,root,root) %{_initrddir}/%{name}
%{_bindir}/%{name}-*
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%config(noreplace) %{_sysconfdir}/%{name}/action.d/*.conf
%config(noreplace) %{_sysconfdir}/%{name}/filter.d/*.conf
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/action.d/
%dir %{_sysconfdir}/%{name}/filter.d/
%{_sysconfdir}/%{name}/action.d/*py
%{_sysconfdir}/%{name}/filter.d/ignorecommands/apache-fakegooglebot
%dir %{python_sitelib}/fail2ban-0.9.*-py2.7.egg-info/
%dir %{python_sitelib}/fail2ban/
%{python_sitelib}/fail2ban-0.9.*-py2.7.egg-info/*
%{python_sitelib}/fail2ban/*
%dir %{_var}/run/%{name}
%{_mandir}/man1/*


%changelog
* Thu Oct 06 2016 adrianomorselli <adrianomorselli> 0.9.4-1uplos2016
- rebuild

* Fri Mar 11 2016 bb <bb> 0.9.4-1pclos2016
- update

* Fri Nov 27 2015 gseaman <galen.seaman at comcast.net> 0.9.3-1gseaman2015
- 0.9.3

* Tue Jan 28 2014 bb <bb> 0.8.12-1pclos2014
- update
